Subject: Re: [bug#76899] Request for merging "c++-team" branch

From: Andreas Enge <[email-masked]>
Date: Sun, 27 Jul 2025 22:39:50 +0200

Am Sun, Jul 27, 2025 at 04:02:22PM -0400 schrieb Greg Hogan:
> 1) Can failed QA builds be restarted as with CI?

By hand with an account on the machine, yes. However, it already tries
3 builds in a row. When all of them fail, my guess would rather be that
we are in some kind of pseudo-deterministic/random failures, where
packages (or most probably their tests) fail under obscure conditions.

> I have a patch for libomemo which will be in the next rebase and push.

Good!

> 2) Can CI show the list of broken builds as with QA?

Here
   https://qa.guix.gnu.org/branch/c++-team
you can click on the failed builds (which you may have to repeat
a few times in case of timeout).

Andreas